<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Class Iconic_WW_Modal
 */
class Iconic_WW_Modal {
	/**
	 * @var null|string
	 */
	private $key;

	/**
	 * @var array
	 */
	private $params;

	/**
	 * Iconic_WW_Modal constructor.
	 *
	 * @param string $key
	 * @param array  $params
	 */
	public function __construct( $key, $params = array() ) {
		if ( empty( $key ) ) {
			return;
		}

		$this->key    = $key;
		$this->params = $params;
	}

	/**
	 * Get modal wrapper.
	 *
	 * @param mixed $content
	 *
	 * @return string
	 */
	private function get_wrap( $content ) {
		return Iconic_WW_Helpers::get_template_html( 'modal/wrap', array( 'content' => $content, 'type' => $this->key ) );
	}

	/**
	 * Output modal.
	 *
	 * @return string
	 */
	public function get_output() {
		$path    = 'modal/' . $this->key;
		$content = Iconic_WW_Helpers::get_template_html( $path, $this->params );

		return $this->get_wrap( $content );
	}
}