<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
} ?>

<?php if ( empty( $wishlists ) ) { ?>
	<?php echo Iconic_WW_Wishlists::get_no_wishlists_message(); ?>
	<?php return; ?>
<?php } ?>

<?php if ( Iconic_WW_Endpoints::is( 'base' ) ) { ?>
	<button class="iconic-ww-button iconic-ww-button--create-wishlist button" data-iconic_ww_action="get_create_wishlist_modal">
		<?php Iconic_WW_Settings::output_icon( 'create_wishlist' ); ?>
		<?php printf( __( 'Create %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?>
	</button>
<?php } ?>

<table class="iconic-ww-table iconic-ww-wishlists-table" cellspacing="0">
	<thead>
	<tr>
		<th><?php _e( 'List Name', 'iconic-ww' ); ?></th>
		<th><?php _e( 'Items', 'iconic-ww' ); ?></th>
		<th><?php _e( 'Date Created', 'iconic-ww' ); ?></th>
		<?php if ( Iconic_WW_Endpoints::is( 'base' ) ) { ?>
			<th><?php _e( 'Privacy', 'iconic-ww' ); ?></th>
		<?php } ?>
		<?php if ( Iconic_WW_Endpoints::is( 'find' ) ) { ?>
			<th><?php _e( 'User', 'iconic-ww' ); ?></th>
		<?php } ?>
	</tr>
	</thead>
	<tbody>
	<?php foreach ( $wishlists as $wishlist ) { ?>
		<tr class="iconic-ww-wishlists-table__row" data-iconic_ww_wishlist_id="<?php echo esc_attr( $wishlist->get( 'ID' ) ); ?>">
			<td class="iconic-ww-wishlists-table__title">
				<a href="<?php echo esc_attr( $wishlist->get( 'url' ) ); ?>" title="<?php echo esc_attr( $wishlist->get( 'post_title' ) ); ?>" class="iconic-ww-wishlists-table__title-link">
					<strong><?php echo $wishlist->get( 'post_title' ); ?></strong>
				</a>
				<?php if ( ! empty( $user ) && $user->get( 'ID', array(), 'int' ) === $wishlist->get( 'post_author', array(), 'int' ) ) { ?>
					<div class="iconic-ww-wishlists-table__actions">
						<ul class="iconic-ww-wishlist-meta">
							<li class="iconic-ww-wishlist-meta__item">
								<a href="javascript: void( 0 );" class="iconic-ww-wishlists-table__action-edit" data-iconic_ww_action="get_edit_wishlist_modal" data-iconic_ww_args="<?php echo Iconic_WW_Helpers::get_json_args( array(
									'wishlist_id' => $wishlist->get( 'ID' ),
								) ); ?>"><?php _e( 'Edit', 'iconic-ww' ); ?></a></li>
							<li class="iconic-ww-wishlist-meta__item">
								<a href="javascript: void( 0 );" class="iconic-ww-wishlists-table__action-delete" data-iconic_ww_action="get_delete_wishlist_modal" data-iconic_ww_args="<?php echo Iconic_WW_Helpers::get_json_args( array(
									'wishlist_id' => $wishlist->get( 'ID' ),
								) ); ?>"><?php _e( 'Delete', 'iconic-ww' ); ?></a></li>
						</ul>
					</div>
				<?php } ?>
			</td>
			<td class="iconic-ww-wishlists-table__items_count">
				<?php echo $wishlist->get( 'items_count_formatted' ); ?>
			</td>
			<td class="iconic-ww-wishlists-table__created_date">
				<?php echo $wishlist->get( 'created_date' ); ?>
			</td>
			<?php if ( Iconic_WW_Endpoints::is( 'base' ) ) { ?>
				<td class="iconic-ww-wishlists-table__privacy">
					<?php echo $wishlist->get( 'privacy' ); ?>
				</td>
			<?php } ?>
			<?php if ( Iconic_WW_Endpoints::is( 'find' ) ) { ?>
				<td class="iconic-ww-wishlists-table__user">
					<?php echo $wishlist->get( 'user' ); ?>
				</td>
			<?php } ?>
		</tr>
	<?php } ?>
	</tbody>
</table>

<div class="iconic-ww-nav">
	<?php previous_posts_link( Iconic_WW_Helpers::output_svg( 'arrow-left-solid', '', false ) . __( 'Previous', 'iconic-ww' ) ); ?>
	<?php next_posts_link( __( 'Next', 'iconic-ww' ) . Iconic_WW_Helpers::output_svg( 'arrow-right-solid', '', false ), $GLOBALS['iconic_ww_wishlists_query']->max_num_pages ); ?>
</div>